Name:          libdevil
Version:       1.7.8
Release:       4mamba
Summary:       A full featured cross-platform image library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://openil.sourceforge.net
Source:        http://downloads.sourceforge.net/project/openil/DevIL/%{version}/DevIL-%{version}.tar.gz
Patch0:        DevIL-1.6.8-header1.patch
Patch1:        DevIL-1.6.8-header2.patch
Patch2:        DevIL-1.6.8-ilut.patch
Patch3:        ilu.h.patch
Patch4:        il.h.patch
Patch5:        %{name}-1.7.8-png14.patch
License:       LGPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: liballegro4-devel
BuildRequires: libdirectfb-devel
BuildRequires: libfreeglut-devel
BuildRequires: libgcc
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libilmbase-devel
BuildRequires: libjasper-devel
BuildRequires: libjbig-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms-devel
BuildRequires: liblzma-devel
BuildRequires: libmng-devel
BuildRequires: libopenexr-devel
BuildRequires: libpng12-devel
BuildRequires: libpng-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libSDL-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libts-devel
BuildRequires: libuuid-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
Requires(post):%{__install_info}

%description
Developer's Image Library (DevIL) is a programmer's library to develop applications with very powerful image loading capabilities, yet is easy for a developer to learn and use. Ultimate control of images is left to the developer, so unnecessary conversions, etc. are not performed. DevIL utilizes a simple, yet powerful, syntax. DevIL can load, save, convert, manipulate, filter and display a wide variety of image formats.
Currently, DevIL can load .bmp, .cut, .dds, .doom, .gif, .ico, .jpg, .lbm, .mdl, .mng, .pal, .pbm, .pcd, .pcx, .pgm, .pic, .png, .ppm, .psd, .psp, .raw, .sgi, .tga and .tif .hdr files.
Formats supported for saving include .bmp, .dds, .h, .jpg, .pal, .pbm, .pcx, .hdr, .pgm,.png, .ppm, .raw, .sgi, .tga and .tif. 
DevIL currently supports the following APIs for display: OpenGL, Windows GDI, SDL, DirectX and Allegro. Compilers that can compile DevIL or use it include Djgpp, MSVC++, Linux gcc, Delphi, Visual Basic, Power Basic and Dev-C++.
 
%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Developer's Image Library (DevIL) is a programmer's library to develop applications with very powerful image loading capabilities, yet is easy for a developer to learn and use. Ultimate control of images is left to the developer, so unnecessary conversions, etc. are not performed. DevIL utilizes a simple, yet powerful, syntax. DevIL can load, save, convert, manipulate, filter and display a wide variety of image formats.
Currently, DevIL can load .bmp, .cut, .dds, .doom, .gif, .ico, .jpg, .lbm, .mdl, .mng, .pal, .pbm, .pcd, .pcx, .pgm, .pic, .png, .ppm, .psd, .psp, .raw, .sgi, .tga and .tif .hdr files.
Formats supported for saving include .bmp, .dds, .h, .jpg, .pal, .pbm, .pcx, .hdr, .pgm,.png, .ppm, .raw, .sgi, .tga and .tif. 
DevIL currently supports the following APIs for display: OpenGL, Windows GDI, SDL, DirectX and Allegro. Compilers that can compile DevIL or use it include Djgpp, MSVC++, Linux gcc, Delphi, Visual Basic, Power Basic and Dev-C++.

This package contains static libraries and header files need for development.

%package static
Summary:        %{name} static library
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}

%description static
DevIL is an Open Source image library whose distribution is done under the terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering, converting, displaying, saving from/to several different image formats in your own project.

%{name} static library.

%prep
%setup -q -n devil-%{version}
#%patch0 -p1 
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
%patch5 -p1

%build
%configure \
     --with-pic \
     --with-gnu-ld \
     --enable-shared \
     --with-x \
     --enable-static \
     --enable-ILU=yes \
     --enable-ILUT=yes \
     LDFLAGS="$LDFLAGS -lpng"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%{__mkdir_p} %{buildroot}%{_libdir}/pkgconfig
cat > %{buildroot}%{_libdir}/pkgconfig/devil.pc << EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}/IL

Name: Developers Image Library
Description: An image library.
Requires:
Version: 1.7.8
Libs: -L%{_libdir} -Wl,--export-dynamic -lalleg-4.4.0 -lalleg_unsharable -lIL -lILU -lILUT
Cflags: -I%{_includedir}/IL
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
:

%postun
/sbin/ldconfig
:

%post devel
%install_info DevIL_manual.info
:

%preun devel
%uninstall_info DevIL_manual.info
:

%files
%defattr(-,root,root)
%{_bindir}/ilur
%{_libdir}/libIL.so.*
%{_libdir}/libILU.so.*
%{_libdir}/libILUT.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/IL
%{_includedir}/IL/*.h
%{_includedir}/IL/*.hpp
%{_libdir}/libIL.la
%{_libdir}/libIL.so
%{_libdir}/libILU.la
%{_libdir}/libILU.so
%{_libdir}/libILUT.la
%{_libdir}/libILUT.so
%{_libdir}/pkgconfig/IL.pc
%{_libdir}/pkgconfig/ILU.pc
%{_libdir}/pkgconfig/ILUT.pc
%{_libdir}/pkgconfig/devil.pc
%{_infodir}/DevIL_manual.info.gz
%doc CREDITS ChangeLog NEWS README README.unix
%doc TODO

%files static
%defattr(-,root,root)
%{_libdir}/*.a

%changelog
* Thu Oct 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.8-4mamba
- moved info file to -devel package and other small specfile fixes

* Fri Nov 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.8-3mamba
- fix info page installation
- remove dependency on libpng 1.2 (added patch)

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.8-2mamba
- rebuilt with libpng 1.4

* Wed Aug 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.8-1mamba
- update to 1.7.8

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 1.6.8-3mamba
- automatic rebuild by autodist

* Mon Aug 18 2008 gil <puntogil@libero.it> 1.6.8-2mamba
- added: requires liballegro; devil.pc; devel static

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> rc2-1mamba
- package created by autospec
